#ifndef EFFECTS_H
#define EFFECTS_H

#include "../config.h"

#include <gint/display.h>
#include <gint/image.h>


/* EFFECT #1 : PLASMA EFFECT */

void plasma_init( bopti_image_t *screen );
void plasma_update( bopti_image_t *screen, float dt );
void plasma_render( bopti_image_t *screen );
void plasma_deinit( bopti_image_t *screen );


/* EFFECT #2 : MORPHING EFFECT : FROM SPHERE TO TORUS */

void morph_init( bopti_image_t *screen );
void morph_update( bopti_image_t *screen, float dt );
void morph_render( bopti_image_t *screen );
void morph_deinit( bopti_image_t *screen );


/* EFFECT #3 : MATRIX EFFECT */

void matrix_init( bopti_image_t *screen );
void matrix_update( bopti_image_t *screen, float dt );
void matrix_render( bopti_image_t *screen );
void matrix_deinit( bopti_image_t *screen );


/* EFFECT #4 : LENS EFFECT */

void lens_init( bopti_image_t *screen );
void lens_update( bopti_image_t *screen, float dt );
void lens_render( bopti_image_t *screen );
void lens_deinit( bopti_image_t *screen );

#endif
